%global extname SyntaxHighlight_GeSHi
Name:           mediawiki-SyntaxHighlight_GeSHi
Version:        1.14_r45462
Release:        1%{?dist}
Summary:        This extension adds source code highlighting for mediawiki

Group:          Development/Tools
License:        GPLv2+
URL:            http://www.mediawiki.org/wiki/Extension:%{extname}
# Couldn't exactly use %%{version}-%%{release} in this line due to weird naming.
Source0:        http://upload.wikimedia.org/ext-dist/%{extname}-MW1.14-r45462.tar.gz
# This patch puts the geshi require in the right spot for Fedora. It also
#  makes dashed lines around source code blocks.  
Patch0:         class.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       mediawiki > 1.13, php-geshi
BuildArch:      noarch

%description
This extension adds source code highlighting for mediawiki via the 
<source> tag.

%prep
%setup -q -n %{extname}
%patch0 -p0 

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/mediawiki/extensions/%{extname}
install -p  -m644 *.php $RPM_BUILD_ROOT%{_datadir}/mediawiki/extensions/%{extname}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README
%{_datadir}/mediawiki/extensions/%{extname}

%changelog
* Mon Jul 12 2010 <stahnma@fedoraproject.org>  - 1.14_r45462
- Initial Fedora Spec
